package intrinsic.flash.system;

public class Shell extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public int idleThreshold;
	public int lastUserInput;
	public String runtimeVersion;
	public intrinsic.flash.display.InteractiveIcon icon;
	public int runtimePatchLevel;
	public intrinsic.flash.display.NativeWindow activeWindow;
	public intrinsic.Array openedWindows;
	public boolean autoExit;
	public String id;
	public intrinsic.flash.display.NativeMenu menu;
	public intrinsic.XML applicationDescriptor;

	/** Variables */

	/** Constants */

	/** Class Accessors */
	public static intrinsic.flash.system.Shell shell;
	public static boolean supportsSystemTrayIcon;
	public static boolean supportsDockIcon;
	public static boolean supportsMenu;

	/** Class variables */

/** Contructors */
public Shell() {
}


/** Static Methods */

/** Methods */
public native void addEventListener(String arg0, intrinsic.Function arg1);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3);
public native void addEventListener(String arg0, intrinsic.Function arg1, boolean arg2, int arg3, boolean arg4);
public native void removeEventListener(String arg0, intrinsic.Function arg1);
public native void removeEventListener(String arg0, intrinsic.Function arg1, boolean arg2);
public native void exit();
public native void exit(int arg0);
public native boolean dispatchEvent(intrinsic.flash.events.Event arg0);
public native void activateApplication();

}
